Bug 22755 - Import Koha::Script to patron_emailer cronjob
Summary: Import Koha::Script to patron_emailer cronjob
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 16149 22600
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-23 07:32 UTC by Josef Moravec
Modified: 2019-04-26 14:54 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22755: Import Koha::Script into patron_emailer cronjob (741 bytes, patch)
2019-04-23 07:39 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22755: Fix pod in patron_emailer.pl (757 bytes, patch)
2019-04-23 07:39 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22755: Import Koha::Script into patron_emailer cronjob (807 bytes, patch)
2019-04-23 15:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22755: Fix pod in patron_emailer.pl (822 bytes, patch)
2019-04-23 15:11 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-04-23 07:32:31 UTC

    
Comment 1 Josef Moravec 2019-04-23 07:34:17 UTC
Bug 22603 added Koha::Script module to create some userenv when running commands/cronjobs. Patron emailer cronjob from bug 16149 was written before, so it is missing this import.
Comment 2 Josef Moravec 2019-04-23 07:35:33 UTC
(In reply to Josef Moravec from comment #1)
> Bug 22603 added Koha::Script module to create some userenv when running
> commands/cronjobs. Patron emailer cronjob from bug 16149 was written before,
> so it is missing this import.

In fact it was bug 22600, sorry
Comment 3 Josef Moravec 2019-04-23 07:39:54 UTC
Created attachment 88402 [details] [review]
Bug 22755: Import Koha::Script into patron_emailer cronjob

Test plan:
Run patron_emailer.pl cronjob to ensure it is not broken after this
patch
Comment 4 Josef Moravec 2019-04-23 07:39:56 UTC
Created attachment 88403 [details] [review]
Bug 22755: Fix pod in patron_emailer.pl
Comment 5 Martin Renvoize 2019-04-23 15:11:07 UTC
Created attachment 88524 [details] [review]
Bug 22755: Import Koha::Script into patron_emailer cronjob

Test plan:
Run patron_emailer.pl cronjob to ensure it is not broken after this
patch

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-04-23 15:11:09 UTC
Created attachment 88525 [details] [review]
Bug 22755: Fix pod in patron_emailer.pl

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-04-23 15:12:22 UTC
Good catch Josef.. going straight for PQA as it's a trivial patch.

Also, I'm going to log an issue to add a check for a 'use Koha::Script' statement in the QA tools for anything under /scripts
Comment 8 Nick Clemens 2019-04-24 11:49:58 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-04-26 14:54:44 UTC
Dependency not in 18.11.x series.